/* GENERAL */

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');

* {
    margin: 0;
    padding: 0;
  }
  
  body {
    font-family: "Poppins", sans-serif;
    background-color: rgba(255, 255, 255, 0);
    color: rgb(0, 0, 0);
  }

  #particles-js {
  position: fixed;        
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: -1;     
}
  /* .dark-mode {
    background-color: black;
    color: white;
  } */
  
  html {
    scroll-behavior: smooth;
  }
  
  p {
    color: rgb(85, 85, 85);
  }

  /* TRANSITION */
  
  a,
  .btn {
    transition: all 300ms ease;
  }
  
  /* DESKTOP NAV */
  
  nav,
  .nav-links {
    display: flex;
  }
  
  nav {
    justify-content: space-around;
    align-items: center;
    height: 17vh;
  }
  
  .nav-links {
    gap: 2rem;
    list-style: none;
    font-size: 1.5rem;
  }
  
  a {
    color: black;
    text-decoration: none;
    text-decoration-color: white;
  }
  
  a:hover {
    color: grey;
    text-decoration: underline;
    text-underline-offset: 1rem;
    text-decoration-color: rgb(181, 181, 181);
    transition: all 0.3s ease-in-out;
  }
  
  .logo {
    font-size: 2rem;
  }
  
  .logo:hover {
    cursor: default;
  }
  
  /* HAMBURGER MENU */

#hamburger-nav {
  display: none;
}

.hamburger-menu {
  position: relative;
  display: inline-block;
}

.hamburger-icon {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 24px;
  width: 30px;
  cursor: pointer;
}

.hamburger-icon span {
  width: 100%;
  height: 2px;
  background-color: black;
  transition: all 0.3 ease-in-out;
}

/* .menu-links {
  position: absolute;
  top: 100%;
  right: 0;
  background-color: white;
  width: fit-content;
  max-height: 0;
  overflow: hidden;
  transition: all 0.3 ease-in-out;
 
} */

.menu-links {
  position: absolute;
  top: 100%;
  right: 0;
  z-index: 1; /* Add this line to bring the menu above the content */
  background-color: white;
  width: fit-content;
  max-height: 0;
  overflow: hidden;
  transition: all 0.3s ease-in-out;
}

.menu-links.open {
  max-height: fit-content;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 2rem;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.menu-links a {
  display: block;
  padding: 10px;
  text-align: center;
  font-size: 1.5rem;
  color: black;
  text-decoration: none;
  transition: all 0.3 ease-in-out;
}

.menu-links li {
  list-style: none;
}

a:hover {
  color: grey;
  text-decoration: underline;
  text-underline-offset: 1rem;
  text-decoration-color: rgb(181, 181, 181);
}

/* .menu-links.open {
  max-height: 300px;
  /* background-color: grey; */
  /* transition: all 0.3 ease-in-out;
} */ */

.hamburger-icon.open span:first-child {
  transform: rotate(45deg) translate(10px, 5px);
}

.hamburger-icon.open span:nth-child(2) {
  opacity: 0;
}

.hamburger-icon.open span:last-child {
  transform: rotate(-45deg) translate(10px, -5px);
}

.hamburger-icon span:first-child {
  transform: none;
}

.hamburger-icon span:first-child {
  opacity: 1;
}

.hamburger-icon span:first-child {
  transform: none;
}
  
  /* SECTIONS */
  
  section {
    padding-top: 5vh;
    padding-bottom: 8vh; 
    /* height: 96vh; */
    margin: 0 10rem;
    box-sizing: border-box;
    min-height: fit-content;
  }
  
  .section-container {
    display: flex;
  }
  
  /* PROFILE SECTION */
  
  #profile {
    position: relative;
    display: flex;
    justify-content: center;
    gap: 5rem;
    height: 80vh;
  }
  
  .pic_container {
  display: flex;
  margin: 0 auto;
  border-radius: 50%;
  overflow: hidden;
}

  .pic_container:hover {
  transform: scale(1.05);
  box-shadow: 0 0 25px grey;
  transition: all 0.3s ease-in-out;
}
  
  .section__pic-container {
    display: flex;
    height: 400px;
    width: 400px;
    margin: auto 0;
  }
  
  .section__text {
    align-self: center;
    text-align: center;
  }
  
  .section__text p {
    font-weight: 600;
  }
  
  .section__text__p1 {
    text-align: center;
  }
  
  .section__text__p2 {
    font-size: 28px;
    font-weight: 600;
    min-width: 280px;
    margin-bottom: 1rem;
    color: black;
    text-shadow: 0 0 1px grey, 0 0 2px grey;
  }

  .section__text__p2 span{
    position: relative;
  }

 .section__text__p2 span::before {
  content: "SOFTWARE ENGINEER";
  color: var(--main-color);
  animation: words 30s ease-in-out infinite;
}

.section__text__p2 span::after {
  content: "";
  background-color: white;
  position: absolute;
  width: calc(100% + 8px);
  height: 100%;
  border-left: 2px solid var(--bg-color);
  right: -8px;
  animation:
    cursor 1s ease-in-out infinite,
    typing 30s steps(20, end) infinite;
}


  @keyframes cursor {
    to{
      border-left: 2px solid var(--main-colour);
    }
  }

  /* @keyframes words {
    0%,
    20%{
    content: "Full Stack Developer";
  }
  21%,
  40%{
    content: "Backend Developer";
  }
  41%,
  60%{
    content: "web Developer";
  }
  61%,
  80%{
    content: "Software Tester";
  }
  81%, 
  100%{
    content: "Frontend Developer";
  }
} */

@keyframes typing {
  10%,
  15%,
  30%,
  35%,
  50%,
  55%,
  70%,
  75%,
  90%,
  95%{
    width: 0;
  }
  50%,
  20%,
  25%,
  40%,
  45%,
  60%,
  65%,
  80%,
  85%{
    width: calc(100% + 8px);
  }
}

  .title {
    font-size: 3rem;
    text-align: center;
  }
  
  #socials-container {
    display: flex;
    justify-content: center;
    margin-top: 1rem;
    gap: 1rem;
  }
  
  /* ICONS */
  
  .icon {
    cursor: pointer;
    height: 2rem;
  }
  
  /* BUTTONS */
  
  .btn-container {
    display: flex;
    justify-content: center;
    gap: 1rem;
  }
  
  .btn {
    font-weight: 600;
    transition: all 300ms ease;
    padding: 1rem;
    width: 8rem;
    border-radius: 2rem;
  }
  
  .btn-color-1,
  .btn-color-2 {
    border: rgb(53, 53, 53) 0.1rem solid;
  }
  
  .btn-color-1:hover,
  .btn-color-2:hover {
    transform: scale(1.25);
    /* box-shadow: 0 0 25px black; */
      cursor: pointer;
      transition: all 0.5s ease-in-out;
  }
  
  
   /* .btn-color-2:hover  */
  .btn-color-1{ 
    background: rgb(53, 53, 53);
    color: white;
  }
  
  .btn-color-1:hover {
    background:rgb(53, 53, 53);
    border: rgb(3, 0, 0) 0.1rem solid;
  }
  
  .btn-color-2 {
    background: none;
  }
  
  .btn-color-2:hover {
    border: rgb(3, 0, 0) 0.1rem solid;
  }
  
  .btn-container {
    gap: 2rem;
  }
  
  /* ABOUT SECTION */
  
  #about {
    position: relative;
  }
  
  .about-containers {
    gap: 1rem;
    margin-bottom: 2rem;
    margin-top: 1rem;
  }
  
  .about-details-container {
    justify-content: center;
    flex-direction: column;
  }
  
  .about-containers,
  .about-details-container {
    display: flex;
  }
  
  .about-pic {
    border-radius: 2rem;
  }
  
  .arrow {
    position: absolute;
    right: -5rem;
    bottom: 2.5rem;
  }
  
  .details-container {
    padding: 1.5rem;
    flex: 1;
    /* background: white; */
    border-radius: 2rem;
    border: rgb(53, 53, 53) 0.1rem solid;
    border-color: rgb(163, 163, 163);
    text-align: center;
  }

  .details-container:hover {
    transform: scale(1.05);
    box-shadow: 0 0 25px grey;
    transition: all 0.3s ease-in-out;
  }
  
  .section-container {
    gap: 4rem;
    height: 80%;
  }
  
  .section__pic-container {
    height: 400px;
    width: 400px;
    margin: auto 0;
  }
  
  /* EXPERIENCE SECTION */
  
  #experience {
    position: relative;
  }
  
  .experience-sub-title {
    color: rgb(85, 85, 85);
    font-weight: 600;
    font-size: 1.75rem;
    margin-bottom: 0.5rem;
  }
  
  .experience-details-container {
    display: flex;
    justify-content: center;
    flex-direction: column;
  }
  
  .article-container {
    display: flex;
    text-align: initial;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 2.5rem;
    justify-content: space-around;
  }
  
  article {
    display: flex;
    width: 10rem;
    justify-content: flex-start;
    gap: 0.5rem;
  }
  
  article .icon {
    cursor: default;
  }
/* CERTIFICATION */

 #certification {
  position: relative;
 }

 .certification-img {
  border-radius: 2rem;
  width: 100%;
  /* height: 90%; */
}

.certification-details-container {
    display: flex;
    margin-bottom: 10px;
    justify-content: center;
    flex-direction: column;
  }

  /* EDUCATION */
  
  #education {
    position: relative;
  }

  .timeline-items {
  max-width: fit-content;
  margin: auto;
  display: flex;
  flex-wrap: wrap;
  position: relative;
  justify-content: center;
  }

  .timeline-items::before {
    content: "";
    position: absolute;
    width: 5px;
    height: 100%;
    background-color:black;
    left: calc(50% - 1px);
  }

  .timeline-item {
    margin-bottom: -78px;
    width: 100%;
    position: relative;
  }

  .timeline-item:last-child{
    margin-bottom: 0;
  }

  .timeline-item:nth-child(odd) {
    padding-right: calc(50% + 30px);
    text-align: right;
  }

  .timeline-item:nth-child(even) {
    padding-left: calc(50% + 30px);
  }

  .timeline-dot {
    height: 21px;
    width: 21px;
    /* background-color: var(--main-color); */
    background-color: black;
    box-shadow: 0 0 10px grey, 0 0 10px grey;
    position: absolute;
    left: calc(50% - 8px);
    border-radius: 50%;
    /* top: 10px; */
  }

  .timeline-date{
    font-size: 20px;
    font-weight: 800;
    color: black;
    margin: 6px 0 15px;
  }

  .timeline-content {
    background-color: var(--bg-color);
    border: rgb(53, 53, 53) 0.1rem solid;
    padding: 20px 20px;
    border-radius: 2rem;
    /* box-shadow: 0 0 10px black; */
    cursor: pointer;
    /* transition: all 0.3s ease-in-out; */
  }

  .timeline-content:hover {
    transform: scale(1.05);
    box-shadow: 0 0 25px grey;
    transition: all 0.3s ease-in-out;
  }

  .timeline-content h3 {
    font-size: 20px;
    color: black;
    margin: 0 0 10px;
    font-weight: 500;
  }

  .timeline-content h2 {
    font-size: 15px;
    color: black;
    margin: 0 0 10px;
    font-weight: 500;
  }

  .timeline-content p {
    color: black;
    font-size: 16px;
    font-weight: 300;
    line-height: 22px;
  }

  /* ::-webkit-scrollbar {
    width: 15px;
  } */

  ::-webkit-scrollbar-thumb {
    background-color: black;
  }

  ::-webkit-scrollbar-track {
    background-color: black;
    width: 50px;
  }

 

  /* PROJECTS SECTION */
  
  #projects {
    position: relative;
  }
  
  .color-container {
    border-color: rgb(163, 163, 163);
    /* background: rgb(250, 250, 250); */
  }
  
  .project-img {
    border-radius: 2rem;
    width: 90%;
    height: 90%;
  }
  
  .project-title {
    margin: 1rem;
    color: black;
  }
  
  .project-btn {
    color: black;
    border-color: rgb(163, 163, 163);
  }

  .project-details-container {
    display: flex;
    margin-bottom: 10px;
    justify-content: center;
    flex-direction: column;
  }

  /* PUBLICATIONS */

 #Publications {
    position: relative;
 }

 .publication-img {
  border-radius: 2rem;
  width: 100%;
  height: 100%;
 }

 .publication-details-container {
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.publication-container {
  position: relative;
  padding: 1.5rem;
  flex: 1;
  /* background: white; */
  border-radius: 2rem;
  border: rgba(53, 53, 53, 0.552) 0.1rem solid;
  border-color: rgb(163, 163, 163);
  text-align: center;
}

.publication-container:hover {
  transform: scale(1.05);
  box-shadow: 0 0 25px grey;
  transition: all 0.3s ease-in-out;
}

.publication-sub-title {
  color: rgb(85, 85, 85);
  font-weight: 600;
  font-size: 1.75rem;
  margin-bottom: 0.5rem;
}

.publication-title {
  margin: 1rem;
  color: black;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 20px;
  background: white;
  /* border: rgba(53, 53, 53, 0.552) 0.1rem solid; */
  border-color: rgb(163, 163, 163);
  display: none;
  border-radius: 2rem;
  justify-content: space-around;
  z-index: 1;
  max-width: 100%;
  max-height: 100%;
  box-sizing: border-box;
  overflow-y: auto;
  max-height: 100%;
  padding: 20px;
  box-sizing: border-box;
  /* text-overflow: ellipsis; */
}

.overlay::-webkit-scrollbar {
  width: 10px; /* Set the width of the scrollbar */
}

.overlay::-webkit-scrollbar-thumb {
  background-color: #ccc; /* Set the color of the scrollbar thumb */
  border-radius: 10px;
}

.overlay::-webkit-scrollbar-track {
  background-color: #f0f0f0; /* Set the color of the scrollbar track */
}

.publication-container:hover >.overlay {
  display: inline-block;
}

/* ACHIEVMENTS */
#achievements {
  position: relative;
}

/* CONTACT */

  #contact {
    position: relative;
  }
  
  .contact-card {
    border: rgb(190, 183, 183) 0.1rem solid;;
    position: relative;
    /* background-color: #fff; */
    padding: 1rem;
    border-radius: 2rem;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    /* width: 100%; */
    margin: 0 auto;
  }
  
  .contact-info-container {
    font-size: large;
    font-weight: bolder;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3rem;
    overflow: auto;
  }
  
  .contact-item {
    display: flex;
    align-items: center;
    gap: 1rem;
    /* overflow: auto; */
  }

  .contact-card:hover {
    transform: scale(1.05);
    box-shadow: 0 0 25px black;
    border-radius: 2rem;
    transition: all 0.3s ease-in-out;
  }
  
  .contact-icon {
    height: 2.2rem;
  }
  
  .email-icon {
    height: 2.5rem;
  }
  
  .phone-icon {
    height: 2.5rem;
  }
  
  /* FOOTER SECTION */
  
  footer {
    height: 26vh;
    margin: 0 1rem;
  }
  
  footer p {
    text-align: center;
  }


  .website-counter {
    display: flex;
    flex-direction: column;
    align-content: center;
    /* background-color: white; */
    /* height: 50px;
    width: 80px; */
    color: black;
    align-content: center;
    flex-direction: column;
    flex-wrap: wrap;
    }
    
   
   
    